#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n, m;
    cin >> n >> m;

    int druzeljubivost[n];
    int prijatelji_1[m];
    int prijatelji_2[m];

    for(int i=0; i < n; ++i)
    {
        cin >> druzeljubivost[i];
    }

    for (int i=0; i < m; ++i)
    {
        cin >> prijatelji_1[i] >> prijatelji_2[i];
    }

    int sreca_prijatelji = 0;
    int sreca_neprijatelji = 0;

    for(int i=0; i < n; i++)
    {
        int counter = 0;
        for(int j=0; j < m; j++)
        {
            if ((prijatelji_1[j] == i+1) || (prijatelji_2[j] == i+1))
            {
                counter++;
            }
        }
        sreca_prijatelji += druzeljubivost[i]*counter;
        sreca_neprijatelji += druzeljubivost[i]*counter*-1;
    }

    cout << max(sreca_prijatelji, sreca_neprijatelji);
    return 0;
}